aboutsummaryrefslogtreecommitdiff
path: root/build-aux/ci/git-pre-push.sh
diff options
context:
space:
mode:
Diffstat (limited to 'build-aux/ci/git-pre-push.sh')
-rwxr-xr-xbuild-aux/ci/git-pre-push.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/build-aux/ci/git-pre-push.sh b/build-aux/ci/git-pre-push.sh
new file mode 100755
index 0000000..2d2bcb1
--- /dev/null
+++ b/build-aux/ci/git-pre-push.sh
@@ -0,0 +1,19 @@
+#!/bin/sh
+set -eux
+
+PACKAGE="$(basename "$PWD")"
+LOGS_DIR="/data/ci/$PACKAGE/logs"
+REMOTE_GIT_DIR="/data/git/$PACKAGE.git"
+
+DESCRIPTION="$(mktemp)"
+if [ -f description ]
+then
+ cp description "$DESCRIPTION"
+else
+ git config euandreh.description > "$DESCRIPTION"
+fi
+
+scp "$DESCRIPTION" "git.euandreh.xyz:$REMOTE_GIT_DIR/description"
+ssh git.euandreh.xyz mkdir -p "$LOGS_DIR"
+scp build-aux/ci/ci-build.sh "git.euandreh.xyz:$(dirname "$LOGS_DIR")/ci-build.sh"
+scp build-aux/ci/git-post-receive.sh "git.euandreh.xyz:$REMOTE_GIT_DIR/hooks/post-receive"